package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bddgrp extends AbstractCommonVo {

    private BddVo rec;

    private BdtVo blk;

    private BdacbsVo cbs;

    private PtsptaVo apl;

    private PtsptaVo prb;

    private PtsptaVo rmb;

    private PtsptaVo acb;

    private PtsptaVo ben;

    private PtsptaVo rog;

    private PtsptaVo beb;

    private PtsptaVo oap;

    private PtsptaVo shp;

    private PtsptaVo iss;

    private PtsptaVo skh;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new BddVo();
        }
        if (blk == null) {
            blk = new BdtVo();
        }
        if (cbs == null) {
            cbs = new BdacbsVo();
        }
        cbs.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (prb == null) {
            prb = new PtsptaVo();
        }
        prb.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (acb == null) {
            acb = new PtsptaVo();
        }
        acb.reset();
        if (ben == null) {
            ben = new PtsptaVo();
        }
        ben.reset();
        if (rog == null) {
            rog = new PtsptaVo();
        }
        rog.reset();
        if (beb == null) {
            beb = new PtsptaVo();
        }
        beb.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (shp == null) {
            shp = new PtsptaVo();
        }
        shp.reset();
        if (iss == null) {
            iss = new PtsptaVo();
        }
        iss.reset();
        if (skh == null) {
            skh = new PtsptaVo();
        }
        skh.reset();
    }
}
